dpt-repack.sh(1)

NAME
dpt-repack -- repackaging helper

SYNOPSIS
dpt repack --upstream-version version downloaded file"

DESCRIPTION
dpt repack helps creating repackaged tarballs, suitable for feeding dpkg-source(1).

Work is commenced in three stages:

•   dpt repack unpacks the provided upstream tarball.

•   debian/repack.local is sourced to remove unsuitable content.

•   dpt repack packs the sources again, under a suitable file name in the form "package_ver.orig.tar.gz" (suffix depending on initial compression).

dpt repack invokes debian/repack.local in an environment where rm and mv are replaced with functions that reflect the operations in the MANIFEST file, if present.

COPYRIGHT & LICENSE
Copyright 2009, Ryan Niebur ryan@debian.org

Copyright 2009-2011, gregor herrmann gregoa@debian.org

This program is free software and can be distributed under the same terms as Perl.